﻿Shader "Custom/TestShaderTextured" {
	Properties {
		_Color ("Color", Color) = (1,1,1,1)
		_Albedo("Albedo", 2D) = "" {}
		_Clouds("Clouds", 2D) = "" {}
		_Emissive ("Emissive", Color) = (0,0,0,1)
		_Specular ("Specular", Color) = (1,1,1,1)
		_Shininess ("Shininess", Range (0.0, 1.0)) = 0.1
	}
	SubShader {
		Tags { "Queue" = "Geometry" }
		Pass
		{
			Lighting On
			SeparateSpecular On
			Material
			{
				Diffuse [_Color]
				Ambient [_Color]
				Emission [_Emissive]
				Specular [_Specular]
				Shininess [_Shininess]
			}
			SetTexture [_Albedo] 
			{
			 combine primary * texture
			}
		}
	}
	FallBack "Diffuse"
}
